package fr.mrdev023.vulkan_java;

import fr.mrdev023.vulkan_java.renderer.Vulkan;
import fr.mrdev023.vulkan_java.window.Display;
import fr.mrdev023.vulkan_java.window.Input;

public class App {
    public static void main(String[] args) {
        Display.create("My first application", 800, 600);
        Display.printMonitorsInfo();
        Input.init();
        Vulkan.init();

        while (!Display.isCloseRequested()) {
            Display.updateEvent();
            Input.update();

            Display.updateFrame();
        }

        Vulkan.destroy();
        Input.destroy();
        Display.destroy();
    }
}
